<?php


namespace App\RestApi\Company\Controllers;

use App\RestApi\Company\Resources\FilialTaxServiceTelecomunicationResource;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Core\Company\Managers\FilialTaxServiceTelecomunicationManager;
use Schaffen\Core\Company\Repositories\FilialTaxServiceTelecomunicationRepository;


class FilialTaxServiceTelecomunicationController
{

    use Crudable;
    
    protected $resource = FilialTaxServiceTelecomunicationResource::class;

    public function __construct(FilialTaxServiceTelecomunicationManager $manager, FilialTaxServiceTelecomunicationRepository $repository)
    {
        $this->setup($manager, $repository);
    }


    public function index(Request $request){
        $filter = $request->all();
        return $this->resource::collection($this->repository->findMany($filter));
    }


}
