<?php


namespace App\RestApi\Contract\Resources;


use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class ContractResource extends BaseResource
{
    public function toArray($request)
    {
        $relationships = [];
        $returnable = [
            "con_codigo"=> $this->con_codigo ?? null,
			"con_fk_pes_codigo"=> $this->con_fk_pes_codigo ?? null,
			"con_fk_fil_codigo"=> $this->con_fk_fil_codigo ?? null,
			"con_numero_contrato"=> $this->con_numero_contrato ?? null,
			"con_data_criacao"=> $this->con_data_criacao ?? null,
			"con_data_inicio"=> $this->con_data_inicio ?? null,
			"con_data_fim"=> $this->con_data_fim ?? null,
			"con_valor_contrato"=> $this->con_valor_contrato ?? null,
			"con_possui_mensalidade"=> $this->con_possui_mensalidade ?? null,
			"con_valor_mensalidade"=> $this->con_valor_mensalidade ?? null,
			"con_fk_tap_codigo"=> $this->con_fk_tap_codigo ?? null,
            "con_date_insert"=> $this->con_date_insert ?? null,
			"con_user_insert"=> $this->con_user_insert ?? null,
			"con_date_update"=> $this->con_date_update ?? null,
			"con_user_update"=> $this->con_user_update ?? null,
			"con_mime_type"=> $this->con_mime_type ?? null,
			"con_nome_arquivo"=> $this->con_nome_arquivo ?? null,
			"con_uf_municipio"=> $this->con_uf_municipio ?? null,
			"con_status"=> $this->con_status ?? null,
			"con_manutencao"=> $this->con_manutencao ?? null,
			"con_renovacao_automatica"=> $this->con_renovacao_automatica ?? null,
			"con_manutencao_tipo"=> $this->con_manutencao_tipo ?? null,
			"con_titulo"=> $this->con_titulo ?? null,
			"con_fk_cot_codigo"=> $this->con_fk_cot_codigo ?? null,
			"con_fk_cmt_codigo"=> $this->con_fk_cmt_codigo ?? null,
			"con_qualificacao"=> $this->con_qualificacao ?? null,
			"con_observacao_servico"=> $this->con_observacao_servico ?? null,
			"con_dia_vencimento_mensalidade"=> $this->con_dia_vencimento_mensalidade ?? null,
			"con_fk_mol_codigo"=> $this->con_fk_mol_codigo ?? null,
			"con_discriminacao_nfse"=> $this->con_discriminacao_nfse ?? null,
			"con_arquivo_operacao"=> $this->con_arquivo_operacao ?? null,
			"con_arquivo_tipo_imob"=> $this->con_arquivo_tipo_imob ?? null,
			"con_arquivo_imob"=> $this->con_arquivo_imob ?? null,
			"con_fk_obr_codigo"=> $this->con_fk_obr_codigo ?? null,
			"con_arquivo_cst_pis"=> $this->con_arquivo_cst_pis ?? null,
			"con_arquivo_aliq_pis"=> $this->con_arquivo_aliq_pis ?? null,
			"con_arquivo_cst_cofins"=> $this->con_arquivo_cst_cofins ?? null,
			"con_arquivo_aliq_cofins"=> $this->con_arquivo_aliq_cofins ?? null,
			"con_arquivo_nat_empreend"=> $this->con_arquivo_nat_empreend ?? null,
			"con_arquivo_info"=> $this->con_arquivo_info ?? null,
			"con_fk_ccu_codigo"=> $this->con_fk_ccu_codigo ?? null,
            
        ];

        $relationships['contrato_servicos'] = ContractServiceResource::collection($this->whenLoaded('contractServices')) ?? [];
        
        return $returnable + $relationships;

    }
}
























