<?php


namespace App\Domain\Logs\Service;


use App\Domain\Logs\Model\ErrorLog;

class SaveError
{
    public static function generateLog(string $type, string $input, string $error){
        $user = auth()->user();
        $log = new ErrorLog([
            "erl_type" => $type,
            "erl_input" => $input,
            "erl_error" => $error,
            "erl_user_insert" => $user->usu_codigo
        ]);
        $log->save();
    }
}