<?php


Route::group(['prefix' => 'composite-product'], function() {
    Route::get('/get', 'ProductionOrder\Controllers\CompositeProductController@getByProductByFilters');
    Route::get('/{id}/historic', 'ProductionOrder\Controllers\CompositeProductController@showHistoric');
});
Route::apiResource('composite-product', ProductionOrder\Controllers\CompositeProductController::class);


Route::group(['prefix' => 'production-order'], function() {
    Route::get('/{id}/historic', 'ProductionOrder\Controllers\ProductionOrderController@showHistoric');
    Route::put('/{id}/status', 'ProductionOrder\Controllers\ProductionOrderController@changeStatus');
    Route::get('/lotes/{id}', 'ProductionOrder\Controllers\ProductionOrderController@batchList');
});
Route::apiResource('production-order', ProductionOrder\Controllers\ProductionOrderController::class);

Route::apiResource('production-order-item', ProductionOrder\Controllers\ProductionOrderItemController::class);
Route::apiResource('production-order-status', ProductionOrder\Controllers\ProductionOrderStatusController::class);
Route::apiResource('status-production-order', ProductionOrder\Controllers\StatusController::class);


